Get master data
curl --request GET \
--url https://apigwuat.corpay.com/master/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/master/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/master/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardCategory": [
{
"id": 201,
"name": "Driver Card"
}
],
"cardGroup": [
{
"cardTypeId": 1,
"id": 3001,
"name": "Fleet Group A"
}
],
"cardType": [
{
"defaultPurchaseCategoryId": 101,
"description": "Card used for EV charging",
"id": 1,
"isEV": false,
"name": "EV Card"
}
],
"country": [
{
"countryCode": "NLD",
"id": 1,
"name": "Netherlands"
}
],
"fuelProductRestrictions": [
{
"id": 1,
"name": "diesel"
}
],
"product": [
{
"id": 1001,
"name": "Diesel Fuel"
}
],
"purchaseCategory": [
{
"id": 101,
"name": "Fuel",
"productRestrictionId": 1
}
],
"reason": [
{
"cardTypeId": 1,
"description": "Card Lost",
"id": 1
}
],
"region": [
{
"id": 1,
"name": "Alemere"
}
],
"status": [
{
"id": 1,
"name": "Active"
}
]
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Master
Get master data
Return master/reference data required for card operations based on top level customer (card types, categories, products, statuses, reasons, groups, regions, countries).
GET
/
master
/
all
Get master data
Performance expectations:
p50: 950 ms, p99: 1300 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 950 ms, p99: 1300 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Response
Master data
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I